[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TActionListState

Represents state values for an action list.

## Declaration

Source position: actnlist.pas line 74

`type TActionListState = (`
`asNormal,` |  | The action list is enabled, and can update and execute its actions.
`asSuspended,` |  | The action list is disabled, and the Enabled state for its actions is ignored.
`asSuspendedEnabled` |  | The action list is disabled, but the Enabled state for its actions is set to True.
`);`

## Description

TActionListState is the type used for the State property in TCustomActionList.